import { GenesisConfig, AccountSchema, TransactionApplyContext, AfterBlockApplyContext, BeforeBlockApplyContext, AfterGenesisBlockApplyContext, Reducers, Actions, BaseModuleDataAccess } from '../types';
import { BaseAsset } from './base_asset';
interface BaseModuleChannel {
    publish(name: string, data?: Record<string, unknown>): void;
}
export declare abstract class BaseModule {
    readonly config: GenesisConfig;
    transactionAssets: BaseAsset[];
    reducers: Reducers;
    actions: Actions;
    events: string[];
    accountSchema?: AccountSchema;
    protected _channel: BaseModuleChannel;
    protected _dataAccess: BaseModuleDataAccess;
    abstract name: string;
    abstract id: number;
    constructor(genesisConfig: GenesisConfig);
    init(input: {
        channel: BaseModuleChannel;
        dataAccess: BaseModuleDataAccess;
    }): void;
    beforeTransactionApply?(context: TransactionApplyContext): Promise<void>;
    afterTransactionApply?(context: TransactionApplyContext): Promise<void>;
    afterGenesisBlockApply?(context: AfterGenesisBlockApplyContext): Promise<void>;
    beforeBlockApply?(context: BeforeBlockApplyContext): Promise<void>;
    afterBlockApply?(context: AfterBlockApplyContext): Promise<void>;
}
export {};
